Skip to main content
`Ctrl`+`K`

# PetscConvEstSetSolver

Sets the solver used to produce discrete solutions

## Synopsis

    #include "petscconvest.h"
    PetscErrorCode PetscConvEstSetSolver(PetscConvEst ce, PetscObject solver)

Not Collective

## Input Parameters

- ce - The `PetscConvEst` object

- solver - The solver, must be a `KSP`, `SNES`, or `TS` object with an attached `DM`/`DS`, that can compute an exact solution

## See Also

`PetscConvEst`, `PetscConvEstGetSNES()`, `PetscConvEstCreate()`, `PetscConvEstGetConvRate()`

## Level

intermediate

## Location

src/snes/utils/convest.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages